body {
  min-height: 100vh;
}

[x-cloak] {
  display: none !important;
}

input[type=number]::-webkit-outer-spin-button,
input[type=number]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type=number] {
  -moz-appearance: textfield;
}

.hide-scrollbar {
  -ms-overflow-style: none;
  scrollbar-width: none;
}

.hide-scrollbar::-webkit-scrollbar { 
  display: none;
}

.px-32 {
  padding-left: 8rem;
  padding-right: 8rem;
}

.py-20 {
  padding-top: 5rem;
  padding-bottom: 5rem;
}

.py-5-nav {
  padding-top: calc(74px + 1.5rem);
  padding-bottom: 1.5rem;
}

.bg-gray {
  background: var(--bs-gray-bg);
}

.bg-image {
  position: fixed;
  inset: 0;
  z-index: -1;
  background-position: center;
  background-size: cover;
  pointer-events: none;
}

:root {
  --bs-primary: var(--cl-accent);
  --bs-primary-rgb: var(--cl-accent-rgb);
  --bs-link-color: var(--cl-accent);
  --bs-body-bg: var(--cl-background-primary);
  --bs-body-bg-rgb: var(--cl-background-primary-rgb);
  --bs-gray-bg: var(--cl-background-secondary);
  --bs-gray-bg-rgb: var(--cl-background-secondary-rgb);
  --bs-border-color: var(--cl-border);
  --bs-border-color-rgb: var(--cl-border-rgb);
  --bs-border-radius: 0.5rem;
}

.bg-primary-dark {
  background-color: var(--cl-accent);
}

.form-check-input {
  --bs-form-check-bg: var(--bs-gray-bg);
}

.form-check-input:checked,
form-check-input[type=checkbox]:indeterminate {
  background-color: var(--cl-accent);
  border-color: var(--cl-accent);
}

.form-range::-webkit-slider-thumb,
.form-range::-moz-range-thumb {
  background-color: var(--cl-accent);
}

.form-control:focus,
.form-select:focus,
.form-check-input:focus,
.form-range:focus::-webkit-slider-thumb,
.form-range:focus::-moz-range-thumb,
.nav-link:focus-visible {
  border-color: var(--cl-accent);
  box-shadow: 0 0 0 0.25rem rgba(var(--cl-accent-rgb), .25);
}

.form-control:disabled,
.form-select:disabled {
  background-color: initial;
}

.form-control,
.form-select {
  background-color: var(--bs-gray-bg);
}

.btn-primary:hover {
  background-color: var(--cl-accent);
  border-color: var(--cl-accent);
}

.btn-primary {
  --bs-btn-bg: var(--cl-accent);
  --bs-btn-border-color: var(--cl-accent);
  --bs-btn-disabled-bg: var(--cl-accent);
  --bs-btn-disabled-border-color: var(--cl-accent);
  --bs-btn-hover-bg: var(--cl-accent);
  --bs-btn-hover-border-color: var(--cl-accent);
  --bs-btn-active-bg: var(--cl-accent);
  --bs-btn-active-border-color: var(--cl-accent);
}

.btn-outline-primary {
  --bs-btn-color: var(--cl-accent);
  --bs-btn-border-color: var(--cl-accent);
  --bs-btn-hover-bg: var(--cl-accent);
  --bs-btn-active-bg: var(--cl-accent);
  --bs-btn-active-border-color: var(--cl-accent);
  --bs-btn-disabled-color: var(--cl-accent);
  --bs-btn-disabled-border-color: var(--cl-accent);
}

.dropdown-menu,
.dropdown-menu-dark {
  --bs-dropdown-link-active-bg: var(--cl-accent);
}

.nav-pills {
  --bs-nav-pills-link-active-bg: var(--cl-accent);
}

.pagination {
  --bs-pagination-active-bg: var(--cl-accent);
  --bs-pagination-active-border-color: var(--cl-accent);
}

.progress,
.progress-stacked {
  --bs-progress-bar-bg: var(--cl-accent);
}

.list-group {
  --bs-list-group-active-bg: var(--cl-accent);
  --bs-list-group-active-border-color: var(--cl-accent);
}

.navbar {
  background: var(--bs-body-bg);
  border-bottom: 1px solid rgba(255, 255, 255, 0.05);
}

.navbar .navbar-brand {
  display: flex;
  align-items: center;
  gap: 1rem;
  padding: 0 1.5rem 0 0;
  border-right: 0;
}

.navbar .navbar-brand img {
  max-height: 3rem;
}

.navbar .navbar-collapse {
  justify-content: flex-end;
}

.navbar .navbar-toggler,
.navbar .navbar-toggler:focus {
  border: 0;
  box-shadow: none;
}

.navbar .navbar-toggler .navbar-toggler-icon {
  --bs-navbar-toggler-icon-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.75%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e")
}

.navbar .navbar-toggler:focus .navbar-toggler-icon {
  --bs-navbar-toggler-icon-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 1%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e")
}

.navbar .nav-item a.nav-link.active {
  color: var(--cl-accent);
}

.navbar .user .btn,
.navbar .cart .btn {
  position: relative;
  --bs-btn-padding-x: 0.5625rem;
}

.navbar .user .btn:not(.btn-outline-primary) .icon,
.navbar .cart .btn:not(.btn-outline-primary) .icon {
  width: 1.4rem;
  height: 1.4rem;
}

.navbar .user .btn.btn-outline-primary .icon,
.navbar .cart .btn.btn-outline-primary .icon {
  width: 1.125rem;
  height: 1.125rem;
}

.navbar .cart .btn .count {
  position: absolute;
  top: -0.5rem;
  right: -0.5rem;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 1.125rem;
  height: 1.125rem;
  background: var(--cl-accent);
  color: #ffffff;
  font-size: 0.625rem;
  border-radius: 100%;
}

footer.footer {
  background: var(--bs-gray-bg);
  border-top: 1px solid var(--bs-border-color);
}

:root {
  --altcha-border-width: 1px;
  --altcha-border-radius: var(--bs-border-radius);
  --altcha-color-base: rgba(255, 255, 255, 0.025);
  --altcha-color-border: rgba(255, 255, 255, 0.05);
  --altcha-color-text: #fff;
  --altcha-color-border-focus: currentColor;

  
  --altcha-color-error-text: #FAA241;

  --altcha-color-footer-bg: #f4f4f4;
  --altcha-max-width: 600px;
}